Package twisted :: Package web :: Module client :: Class HTTPDownloader |
[frames | no frames]

## Class HTTPDownloader

      Factory --+
                |
    ClientFactory --+
                    |
    HTTPClientFactory --+
                        |
                       HTTPDownloader

Download to a file.

Method Summary
| `__init__(self, url, fileOrName, method, postdata, headers, agent, supportPartial)`
| `gotHeaders(self, headers)`
| `openFile(self, partialContent)`
| `pageEnd(self)`
| `pagePart(self, data)`
| ``pageStart`(self, partialContent)` Called on page download start.
Inherited from HTTPClientFactory
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, _, reason)`
| ``gotStatus`(self, version, status, message)`
| ``noPage`(self, reason)`
| ``page`(self, page)`
| ``setURL`(self, url)`
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Instance Variable Summary
Inherited from HTTPClientFactory
Deferred | `deferred`: A Deferred that will fire when the content has been retrieved.
str | `message`: The text message returned with the status.
dict | `response_headers`: The headers that were specified in the response from the server.
str | `status`: The status of the response.
str | `version`: The version of the response.

Class Variable Summary
`class` | `protocol` = `twisted.web.client.HTTPPageDownloader`
`NoneType` | `value` = None
Inherited from HTTPClientFactory
`str` | `host` = `''`
`NoneType` | `path` = None
`NoneType` | `port` = None
`NoneType` | `scheme` = None
`NoneType` | `url` = None
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### pageStart(self, partialContent) Called on page download start. Parameters: `partialContent` - tells us if the download is partial download we requested.

Class Variable Details

    ### value Type: `NoneType` Value:
        None

Generated by Epydoc 2.0 on Sat Oct 25 00:55:08 2003 | http://epydoc.sf.net